# File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.

from __future__ import annotations

from typing import Iterable
from typing_extensions import Required, TypedDict

from .bucket_locator_param import BucketLocatorParam

__all__ = ["ChunkSearchFindParams"]


class ChunkSearchFindParams(TypedDict, total=False):
    bucket_locations: Required[Iterable[BucketLocatorParam]]
    """The buckets to search.

    If provided, the search will only return results from these buckets
    """

    input: Required[str]
    """Natural language query or question.

    Can include complex criteria and relationships. The system will optimize the
    search strategy based on this input
    """

    request_id: Required[str]
    """Client-provided search session identifier.

    Required for pagination and result tracking. We recommend using a UUID or ULID
    for this value
    """
